<!doctype html> {%load staticfiles%}
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"> -->
    <script src="https://code.jquery.com/jquery-3.4.1.js"></script>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"> 
    <link href="{% static 'home/base.css' %}" rel="stylesheet"> 
    {% block css-content%} {% endblock %} {% block js-content%} {% endblock %}
    <script src="https://code.jquery.com/jquery-3.4.1.js"></script>
    <title>Let's compete!</title>
</head>

<body>
    <!--Navbar -->
    <nav class="navbar navbar-expand-md navbar-dark bg-dark navbar-static-top sticky-top">
        <a class="navbar-brand" href="{% url 'home:index' %}">Competition Master</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent-333" aria-controls="navbarSupportedContent-333" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent-333">
            <!-- <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="#">Home
                        <span class="sr-only">(current)</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Features</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Pricing</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="navbarDropdownMenuLink-333" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">Dropdown
                    </a>
                    <div class="dropdown-menu dropdown-default" aria-labelledby="navbarDropdownMenuLink-333">
                        <a class="dropdown-item" href="#">Action</a>
                        <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a>
                    </div>
                </li>
            </ul> -->

            <ul class="navbar-nav ml-auto nav-flex-icons">
                {% if user.is_authenticated %}
                <!-- <li class="nav-item">
                    <a class="nav-link waves-effect waves-light">
                        <i class="fa fa-twitter"></i>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link waves-effect waves-light">
                        <i class="fa fa-google-plus"></i>
                    </a>
                </li> -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="navbarDropdownMenuLink-333" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fa fa-user"></i>
                    </a>
                    <div class="dropdown-menu dropdown-menu-right dropdown-default" aria-labelledby="navbarDropdownMenuLink-333">
                        <a class="dropdown-item username_link" href="#">{{request.user.username}}</a>
                        <a class="dropdown-item text-primary" href="{% url 'home:dashboard' %}">Dashboard</a>
                        <a class="dropdown-item text-primary" href="{% url 'accounts:logout' %}">Logout</a>
                        <!-- <a class="dropdown-item" href="#">Another action</a>
                        <a class="dropdown-item" href="#">Something else here</a> -->
                    </div>
                </li>
                {% else %}
                <li><a href="{% url 'accounts:login' %}" class="nav">Login</a></li>
                {% endif %}
            </ul>

        </div>
    </nav>
    <!--/.Navbar -->

    {% if messages %} {% for message in messages %} {% if 'success' in message.tags %}
    <div class="alert alert-success text-center">
        <strong>{{ message|escape }}</strong>
    </div>
    {% endif %} {% endfor %} {% endif %} {% if form.errors %} {% for field in form %} {% for error in field.errors %}
    <div class="alert alert-danger text-center">
        <strong>{{ error|escape }}</strong>
    </div>
    {% endfor %} {% endfor %} {% for error in form.non_field_errors %}
    <div class="alert alert-danger text-center">
        <strong>{{ error|escape }}</strong>
    </div>
    {% endfor %} {% endif %} {% block content%} {% endblock %}

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <!-- <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>

</html>